## shotwell 0.5.0+dfsg

=== Makefile ===
PROGRAM = shotwell
all: $(PROGRAM)

VERSION = 0.5.0
GETTEXT_PACKAGE = $(PROGRAM)
BUILD_ROOT = 1

VALAC = valac
MIN_VALAC_VERSION = 0.7.10
INSTALL_PROGRAM = install
INSTALL_DATA = install -m 644

# defaults that may be overridden by configure.mk
PREFIX=/usr/local
SCHEMA_FILE_DIR=/etc/gconf/schemas
BUILD_RELEASE=1

UNAME := $(shell uname)
SYSTEM := $(UNAME:MINGW32_%=MinGW)

ifeq "$(SYSTEM)" "Linux"
  LINUX = 1
endif

ifeq "$(SYSTEM)" "MinGW"
  WINDOWS = 1
endif

ifeq "$(SYSTEM)" "Darwin"
  MAC = 1
endif

-include configure.mk

VALAFLAGS = -g --enable-checking --thread $(USER_VALAFLAGS)
DEFINES=_PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
     _LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"'

SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa
LOCAL_LANG_DIR=locale-langpack
SYSTEM_LANG_DIR=$(DESTDIR)$(PREFIX)/share/locale

SRC_FILES = \
	main.vala \
	AppWindow.vala \
	CollectionPage.vala \
	Thumbnail.vala \
	DatabaseTables.vala \
	ThumbnailCache.vala \
	image_util.vala \
	CheckerboardLayout.vala \
	PhotoPage.vala \
	Exif.vala \
	Page.vala \
	ImportPage.vala \
	GPhoto.vala \
	SortedList.vala \
	EventsDirectoryPage.vala \
	Dimensions.vala \
	Box.vala \
	Photo.vala \
	Orientation.vala \
	util.vala \
	BatchImport.vala \
	Dialogs.vala \
	Resources.vala \
	Debug.vala \
	Sidebar.vala \
	ColorTransformation.vala \
	EditingTools.vala \
	DataObject.vala \
	DataCollection.vala \
	LibraryWindow.vala \
	CameraTable.vala \
	DirectWindow.vala \
	Properties.vala \
	CustomComponents.vala \
	Config.vala \
	Event.vala \
	International.vala \
	Workers.vala \
	system.vala \
	AppDirs.vala \
	PixbufCache.vala \
	WebConnectors.vala \
	FacebookConnector.vala \
	CommandManager.vala \
	Commands.vala \
	SlideshowPage.vala \
	LibraryFiles.vala \
	FlickrConnector.vala \
	Printing.vala \
	Tag.vala \
	TagPage.vala \
	PicasaConnector.vala \
    Screensaver.vala

ifndef LINUX
SRC_FILES += \
    GConf.vala
endif

VAPI_FILES = \
	libexif.vapi \
	FStream.vapi \
	libgphoto2.vapi \
	FixedKeyFile.vapi \
	ExtendedPosix.vapi \
	gudev-1.0.vapi \
    LConv.vapi

RESOURCE_FILES = \
	photo.ui \
	collection.ui \
	import.ui \
	fullscreen.ui \
	import_queue.ui \
	events_directory.ui \
	event.ui \
	direct.ui \
	tags.ui

SRC_HEADER_FILES = \
	gphoto.h

TEXT_FILES = \
	AUTHORS \
	COPYING \
	INSTALL \
	MAINTAINERS \
	NEWS \
	README \
	THANKS

VAPI_DIRS = \
	./vapi

HEADER_DIRS = \
	./vapi

LOCAL_PKGS = \
	FStream \
	FixedKeyFile \
	ExtendedPosix \
	posix \
	gudev-1.0 \
    LConv

EXT_PKGS = \
	atk \
	gdk-2.0 \
	gee-1.0 \
	gtk+-2.0 \
	libexif \
	sqlite3
	
ifdef LINUX
EXT_PKGS += \
	gconf-2.0 \
	libgphoto2 \
	libsoup-2.4 \
	libxml-2.0 \
	unique-1.0 \
	webkit-1.0 \
	libusb \
	gudev-1.0 \
    dbus-glib-1
endif

ifdef MAC
EXT_PKGS += \
    ige-mac-integration
endif

EXT_PKG_VERSIONS = \
	gee-1.0 >= 0.5.0 \
	gtk+-2.0 >= 2.14.4 \
	libexif >= 0.6.16 \
	sqlite3 >= 3.5.9
	
ifdef LINUX
EXT_PKG_VERSIONS += \
	gconf-2.0 >= 2.22.0 \
	libgphoto2 >= 2.4.2 \
	libsoup-2.4 >= 2.26.0 \
	libxml-2.0 >= 2.6.32 \
	unique-1.0 >= 1.0.0 \
	webkit-1.0 >= 1.1.5 \
	libusb >= 0.1.12 \
	gudev-1.0 >= 145 \
    dbus-glib-1 >= 0.80
endif

PKGS = $(EXT_PKGS) $(LOCAL_PKGS)

ifndef BUILD_DIR
BUILD_DIR=src
endif

DESKTOP_APPLICATION_NAME="Shotwell Photo Manager"
DESKTOP_APPLICATION_COMMENT="Organize your photos"
DESKTOP_APPLICATION_CLASS="Photo Manager"
DIRECT_EDIT_DESKTOP_APPLICATION_NAME="Shotwell Photo Viewer"
DIRECT_EDIT_DESKTOP_APPLICATION_CLASS="Photo Viewer"
TEMPORARY_DESKTOP_FILES = misc/shotwell.desktop misc/shotwell-viewer.desktop

EXPANDED_PO_FILES = $(foreach po,$(SUPPORTED_LANGUAGES),po/$(po).po)
EXPANDED_SRC_FILES = $(foreach src,$(SRC_FILES),src/$(src))
EXPANDED_C_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.c))
EXPANDED_SAVE_TEMPS_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.vala.c))
EXPANDED_OBJ_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.o))

EXPANDED_VAPI_FILES = $(foreach vapi,$(VAPI_FILES),vapi/$(vapi))
EXPANDED_SRC_HEADER_FILES = $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
EXPANDED_RESOURCE_FILES = $(foreach res,$(RESOURCE_FILES),ui/$(res))
VALA_STAMP = $(BUILD_DIR)/.stamp
LANG_STAMP = $(LOCAL_LANG_DIR)/.langstamp

DIST_FILES = Makefile configure minver $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) \
	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) icons/* misc/* \
	$(EXPANDED_PO_FILES) po/shotwell.pot vapi/*

DIST_TAR = $(PROGRAM)-$(VERSION).tar
DIST_TAR_BZ2 = $(DIST_TAR).bz2
DIST_TAR_GZ = $(DIST_TAR).gz
PACKAGE_ORIG_GZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.gz

VALA_CFLAGS = `pkg-config --cflags $(EXT_PKGS) gthread-2.0` $(foreach hdir,$(HEADER_DIRS),-I$(hdir)) \
	$(foreach def,$(DEFINES),-D$(def))

VALA_LDFLAGS = `pkg-config --libs $(EXT_PKGS) gthread-2.0`

ifdef WINDOWS
  VALA_DEFINES = -D WINDOWS -D NO_CAMERA -D NO_PRINTING -D NO_PUBLISHING -D NO_LIBUNIQUE -D NO_EXTENDED_POSIX -D NO_SET_BACKGROUND
  EXPANDED_OBJ_FILES += src/windows.o
  RESOURCES = shotwell.res

ifndef BUILD_DEBUG
# -mwindows prevents a console window from appearing when we run Shotwell, but also hides
# all logging/debugging output, so we specify it only in a release build.
  VALA_LDFLAGS += -mwindows
endif  

shotwell.res: windows/shotwell.rc
	windres windows/shotwell.rc -O coff -o shotwell.res

endif

ifdef MAC
  VALA_DEFINES = -D MAC -D NO_CAMERA -D NO_PRINTING -D NO_PUBLISHING -D NO_LIBUNIQUE -D NO_SVG
  EXPANDED_OBJ_FILES += src/mac.o
endif

# setting CFLAGS in configure.mk overrides build type
ifndef CFLAGS
ifdef BUILD_DEBUG
CFLAGS = -O0 -g -pipe
else
CFLAGS = -O2 -g -pipe
endif
endif

# Required for gudev-1.0
CFLAGS += -DG_UDEV_API_IS_SUBJECT_TO_CHANGE

$(LANG_STAMP): $(EXPANDED_PO_FILES)
	$(foreach po,$(SUPPORTED_LANGUAGES),`mkdir -p $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES ; \
        msgfmt -o $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES/shotwell.mo po/$(po).po`)
	touch $(LANG_STAMP)

clean:
	rm -f $(EXPANDED_C_FILES)
	rm -f $(EXPANDED_SAVE_TEMPS_FILES)
	rm -f $(EXPANDED_OBJ_FILES)
	rm -f $(VALA_STAMP)
	rm -rf $(PROGRAM)-$(VERSION)
	rm -f $(PROGRAM)
	rm -rf $(LOCAL_LANG_DIR)
	rm -f $(LANG_STAMP)
	rm -f $(TEMPORARY_DESKTOP_FILES)

cleantemps:
	rm -f $(EXPANDED_C_FILES)
	rm -f $(EXPANDED_SAVE_TEMPS_FILES)
	rm -f $(EXPANDED_OBJ_FILES)
	rm -f $(VALA_STAMP)
	rm -f $(LANG_STAMP)

package:
	$(MAKE) dist
	cp $(DIST_TAR_GZ) $(PACKAGE_ORIG_GZ)
	rm -f $(DIST_TAR_GZ)
	rm -f $(DIST_TAR_BZ2)

dist: $(DIST_FILES)
	mkdir -p $(PROGRAM)-$(VERSION)
	cp --parents $(DIST_FILES) $(PROGRAM)-$(VERSION)
	tar --bzip2 -cvf $(DIST_TAR_BZ2) $(PROGRAM)-$(VERSION)
	tar --gzip -cvf $(DIST_TAR_GZ) $(PROGRAM)-$(VERSION)
	rm -rf $(PROGRAM)-$(VERSION)

distclean: clean
	rm -f configure.mk

install:
	cp misc/shotwell.desktop.head misc/shotwell.desktop
	cp misc/shotwell-viewer.desktop.head misc/shotwell-viewer.desktop
	$(foreach lang,$(SUPPORTED_LANGUAGES), echo Name[$(lang)]=`TEXTDOMAINDIR=locale-langpack \
        LANGUAGE=$(lang) gettext --domain=shotwell $(DESKTOP_APPLICATION_NAME)` \
        >> misc/shotwell.desktop ; \
        echo GenericName[$(lang)]=`TEXTDOMAINDIR=locale-langpack LANGUAGE=$(lang) \
        gettext --domain=shotwell $(DESKTOP_APPLICATION_CLASS)` >> misc/shotwell.desktop ; \
        echo Comment[$(lang)]=`TEXTDOMAINDIR=locale-langpack LANGUAGE=$(lang) gettext \
        --domain=shotwell $(DESKTOP_APPLICATION_COMMENT)` >> misc/shotwell.desktop ; \
        echo Name[$(lang)]=`TEXTDOMAINDIR=locale-langpack LANGUAGE=$(lang) gettext \
        --domain=shotwell $(DIRECT_EDIT_DESKTOP_APPLICATION_NAME)` >> misc/shotwell-viewer.desktop ; \
        echo GenericName[$(lang)]=`TEXTDOMAINDIR=locale-langpack LANGUAGE=$(lang) gettext \
        --domain=shotwell $(DIRECT_EDIT_DESKTOP_APPLICATION_CLASS)` >> misc/shotwell-viewer.desktop ;)
	touch $(LANG_STAMP)
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	$(INSTALL_PROGRAM) $(PROGRAM) $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/shotwell/icons
	$(INSTALL_DATA) icons/* $(DESTDIR)$(PREFIX)/share/shotwell/icons
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps
	$(INSTALL_DATA) icons/shotwell.svg $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps
ifndef DISABLE_ICON_UPDATE
	-gtk-update-icon-cache -t -f $(DESTDIR)$(PREFIX)/share/icons/hicolor || :
endif
	mkdir -p $(DESTDIR)$(PREFIX)/share/shotwell/ui
	$(INSTALL_DATA) ui/* $(DESTDIR)$(PREFIX)/share/shotwell/ui
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL_DATA) misc/shotwell.desktop $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL_DATA) misc/shotwell-viewer.desktop $(DESTDIR)$(PREFIX)/share/applications
ifndef DISABLE_DESKTOP_UPDATE
	-update-desktop-database || :
endif
ifdef LINUX
ifndef DISABLE_SCHEMAS_INSTALL
	GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule misc/shotwell.schemas
else
	mkdir -p $(DESTDIR)$(SCHEMA_FILE_DIR)
	$(INSTALL_DATA) misc/shotwell.schemas $(DESTDIR)$(SCHEMA_FILE_DIR)
endif
endif
	-$(foreach lang,$(SUPPORTED_LANGUAGES),`mkdir -p $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES ; \
        $(INSTALL_DATA) $(LOCAL_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo \
            $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo`)

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/$(PROGRAM)
	rm -fr $(DESTDIR)$(PREFIX)/share/shotwell
	rm -fr $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/shotwell.svg
	rm -f $(DESTDIR)$(PREFIX)/share/applications/shotwell.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/applications/shotwell-viewer.desktop
ifndef DISABLE_DESKTOP_UPDATE
	-update-desktop-database || :
endif
ifdef LINUX
ifndef DISABLE_SCHEMAS_INSTALL
	GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule misc/shotwell.schemas
else
	rm -f $(DESTDIR)$(SCHEMA_FILE_DIR)/shotwell.schemas
endif
endif
	$(foreach lang,$(SUPPORTED_LANGUAGES),`rm -f $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo`)

$(VALA_STAMP): $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) $(EXPANDED_SRC_HEADER_FILES) Makefile \
	$(CONFIG_IN)
	@ ./minver `valac --version | awk '{print $$2}'` $(MIN_VALAC_VERSION) || ( echo 'Shotwell requires Vala compiler $(MIN_VALAC_VERSION) or greater.  You are running' `valac --version` '\b.'; exit 1 )
ifndef ASSUME_PKGS
ifdef EXT_PKG_VERSIONS
	pkg-config --print-errors --exists '$(EXT_PKG_VERSIONS)'
else ifdef EXT_PKGS
	pkg-config --print-errors --exists $(EXT_PKGS)
endif
endif
	@ type msgfmt > /dev/null || ( echo 'msgfmt (usually found in the gettext package) is missing and is required to build Shotwell. ' ; exit 1 )
	mkdir -p $(BUILD_DIR)
	$(VALAC) --ccode --directory=$(BUILD_DIR) --basedir=src $(VALAFLAGS) \
	$(foreach pkg,$(PKGS),--pkg=$(pkg)) \
	$(foreach vapidir,$(VAPI_DIRS),--vapidir=$(vapidir)) \
	$(foreach def,$(DEFINES),-X -D$(def)) \
	$(foreach hdir,$(HEADER_DIRS),-X -I$(hdir)) \
	$(VALA_DEFINES) \
	$(EXPANDED_SRC_FILES)
	touch $@

# Do not remove hard tab or at symbol; necessary for dependencies to complete.
$(EXPANDED_C_FILES): $(VALA_STAMP)
	@

$(EXPANDED_OBJ_FILES): %.o: %.c $(CONFIG_IN) Makefile
	$(CC) -c $(VALA_CFLAGS) $(CFLAGS) -o $@ $<

$(PROGRAM): $(EXPANDED_OBJ_FILES) $(RESOURCES) $(LANG_STAMP)
	$(CC) $(EXPANDED_OBJ_FILES) $(CFLAGS) $(RESOURCES) $(VALA_LDFLAGS) -o $@

shotwell-setup-$(VERSION).exe: $(PROGRAM) windows/winstall.iss
	iscc windows\winstall.iss
	mv setup.exe shotwell-setup-$(VERSION).exe

winstaller: shotwell-setup-$(VERSION).exe

=== debian/changelog ===
shotwell (0.5.0+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/vala_0.8.0.patch:
    - Build with vala 0.8.0 (Closes: #577913).
  * debian/control:
    - Depend on librsvg2-common and dbus-x11 (Closes: #574112).
    - Bump minimum valac version to 0.8.0.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 18 Apr 2010 23:16:32 +0200

shotwell (0.5.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Remove debian/patches directory, patches already applied upstream.
  * debian/control: add libgudev-1.0-dev (>= 145) to Build-Depends field.
  * Bump Standards-Version to 3.8.4.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 15 Mar 2010 15:59:23 +0100

shotwell (0.4.3+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/02_vala_0.7.10.patch:
    - Fix build with vala 0.7.10 (Closes: #569370).
  * debian/control:
    - Bump minimum valac version to 0.7.10.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 20 Feb 2010 18:03:45 +0100

shotwell (0.4.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Switch to format 3.0 (quilt).
  * Add debian/patches/01_GNU-kFreeBSD.diff patch from Cyril Brulebois to fix
    FTBFS on GNU/kFreeBSD (Closes: #564306).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 23 Jan 2010 18:56:33 +0100

shotwell (0.4.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #561788).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 06 Jan 2010 14:08:43 +0100

=== debian/control ===
Source: shotwell
Section: gnome
Priority: extra
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), valac (>= 0.8.0), libgee-dev
 (>= 0.5.0), libgtk2.0-dev (>= 2.14.4), libexif-dev (>= 0.6.16),
 libsqlite3-dev (>= 3.5.9), libdbus-glib-1-dev (>= 0.76), libgconf2-dev
 (>= 2.22.0), libhal-dev (>= 0.5.11), libgphoto2-2-dev (>= 2.4.2),
 libsoup2.4-dev (>= 2.26.0), libxml2 (>= 2.6.32), libunique-dev (>= 1.0.0),
 libwebkit-dev (>= 1.1.5), libgudev-1.0-dev (>= 145)
Standards-Version: 3.8.4
Homepage: http://yorba.org/shotwell/

Package: shotwell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common, dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## shotwell 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 PROGRAM = shotwell
-all: $(PROGRAM)
-
-VERSION = 0.5.0
+
+VERSION = 0.6.1
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
 
 VALAC = valac
-MIN_VALAC_VERSION = 0.7.10
+MIN_VALAC_VERSION = 0.8.0
 INSTALL_PROGRAM = install
 INSTALL_DATA = install -m 644
 
@@ -26,17 +25,27 @@
   WINDOWS = 1
 endif
 
-ifeq "$(SYSTEM)" "Darwin"
-  MAC = 1
-endif
-
 -include configure.mk
+
+ifdef ENABLE_BUILD_FOR_GLADE
+all: lib$(PROGRAM).so $(PROGRAM)
+else
+all: $(PROGRAM)
+endif
 
 VALAFLAGS = -g --enable-checking --thread $(USER_VALAFLAGS)
 DEFINES=_PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
      _LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"'
 
-SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa
+ifdef LINUX
+    EXPORT_FLAGS = -export-dynamic
+endif
+
+ifdef WINDOWS
+    EXPORT_FLAGS = -export-all-symbols
+endif
+
+SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt
 LOCAL_LANG_DIR=locale-langpack
 SYSTEM_LANG_DIR=$(DESTDIR)$(PREFIX)/share/locale
 
@@ -50,7 +59,6 @@
 	image_util.vala \
 	CheckerboardLayout.vala \
 	PhotoPage.vala \
-	Exif.vala \
 	Page.vala \
 	ImportPage.vala \
 	GPhoto.vala \
@@ -93,21 +101,33 @@
 	Tag.vala \
 	TagPage.vala \
 	PicasaConnector.vala \
-    Screensaver.vala
+	Screensaver.vala \
+	PhotoFileAdapter.vala \
+	PhotoFileFormat.vala \
+	PhotoFileSniffer.vala \
+	PhotoMetadata.vala \
+	GRaw.vala \
+	GdkSupport.vala \
+	JfifSupport.vala \
+	RawSupport.vala \
+	MimicManager.vala \
+	TrashPage.vala \
+	PngSupport.vala \
+	PhotoExporter.vala
 
 ifndef LINUX
 SRC_FILES += \
-    GConf.vala
+	GConf.vala
 endif
 
 VAPI_FILES = \
 	libexif.vapi \
-	FStream.vapi \
 	libgphoto2.vapi \
 	FixedKeyFile.vapi \
 	ExtendedPosix.vapi \
-	gudev-1.0.vapi \
-    LConv.vapi
+	LConv.vapi \
+	libraw.vapi \
+	gdk-none.vapi
 
 RESOURCE_FILES = \
 	photo.ui \
@@ -118,7 +138,14 @@
 	events_directory.ui \
 	event.ui \
 	direct.ui \
-	tags.ui
+	tags.ui \
+	trash.ui \
+	shotwell.glade
+
+SYS_INTEGRATION_FILES = \
+	shotwell.desktop.head \
+	shotwell-viewer.desktop.head \
+	shotwell.schemas
 
 SRC_HEADER_FILES = \
 	gphoto.h
@@ -132,6 +159,30 @@
 	README \
 	THANKS
 
+ICON_FILES = \
+	shotwell-street.jpg \
+	shotwell.svg \
+	shotwell.ico \
+	return-to-page.svg \
+	redeye.png \
+	publish.png \
+	pin-toolbar.svg \
+	object-rotate-right.svg \
+	object-rotate-left.svg \
+	object-flip-vertical.svg \
+	object-flip-horizontal.svg \
+	merge.svg \
+	make-primary.svg \
+	import-all.png \
+	import.svg \
+	hidden.svg \
+	favorite.svg \
+	enhance.png \
+	drag_nub.png \
+	crop-pivot-reticle.png \
+	crop.svg \
+	adjust.png \
+
 VAPI_DIRS = \
 	./vapi
 
@@ -139,21 +190,26 @@
 	./vapi
 
 LOCAL_PKGS = \
-	FStream \
 	FixedKeyFile \
 	ExtendedPosix \
 	posix \
-	gudev-1.0 \
-    LConv
-
+	LConv \
+	gdk-none
+
+# libraw is not listed (see note below); when libraw-config is no longer needed, it should be
+# added to this list
 EXT_PKGS = \
 	atk \
 	gdk-2.0 \
 	gee-1.0 \
 	gtk+-2.0 \
 	libexif \
-	sqlite3
-	
+	sqlite3 \
+	gexiv2
+
+LIBRAW_PKG = \
+	libraw
+
 ifdef LINUX
 EXT_PKGS += \
 	gconf-2.0 \
@@ -162,22 +218,23 @@
 	libxml-2.0 \
 	unique-1.0 \
 	webkit-1.0 \
-	libusb \
 	gudev-1.0 \
-    dbus-glib-1
-endif
-
-ifdef MAC
-EXT_PKGS += \
-    ige-mac-integration
-endif
-
+	dbus-glib-1 \
+	gdk-x11-2.0
+endif
+
+# libraw is handled separately (see note below); when libraw-config is no longer needed, the version
+# should be added to this list
 EXT_PKG_VERSIONS = \
 	gee-1.0 >= 0.5.0 \
-	gtk+-2.0 >= 2.14.4 \
+	gtk+-2.0 >= 2.18.0 \
 	libexif >= 0.6.16 \
-	sqlite3 >= 3.5.9
-	
+	sqlite3 >= 3.5.9 \
+	gexiv2 >= 0.1.0
+
+LIBRAW_VERSION = \
+	0.9.0
+
 ifdef LINUX
 EXT_PKG_VERSIONS += \
 	gconf-2.0 >= 2.22.0 \
@@ -186,12 +243,11 @@
 	libxml-2.0 >= 2.6.32 \
 	unique-1.0 >= 1.0.0 \
 	webkit-1.0 >= 1.1.5 \
-	libusb >= 0.1.12 \
 	gudev-1.0 >= 145 \
-    dbus-glib-1 >= 0.80
-endif
-
-PKGS = $(EXT_PKGS) $(LOCAL_PKGS)
+	dbus-glib-1 >= 0.80
+endif
+
+PKGS = $(EXT_PKGS) $(LOCAL_PKGS) $(LIBRAW_PKG)
 
 ifndef BUILD_DIR
 BUILD_DIR=src
@@ -209,7 +265,8 @@
 EXPANDED_C_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.c))
 EXPANDED_SAVE_TEMPS_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.vala.c))
 EXPANDED_OBJ_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.o))
-
+EXPANDED_SYS_INTEGRATION_FILES = $(foreach file,$(SYS_INTEGRATION_FILES),misc/$(file))
+EXPANDED_ICON_FILES = $(foreach file,$(ICON_FILES),icons/$(file))
 EXPANDED_VAPI_FILES = $(foreach vapi,$(VAPI_FILES),vapi/$(vapi))
 EXPANDED_SRC_HEADER_FILES = $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
 EXPANDED_RESOURCE_FILES = $(foreach res,$(RESOURCE_FILES),ui/$(res))
@@ -217,8 +274,9 @@
 LANG_STAMP = $(LOCAL_LANG_DIR)/.langstamp
 
 DIST_FILES = Makefile configure minver $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) \
-	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) icons/* misc/* \
-	$(EXPANDED_PO_FILES) po/shotwell.pot vapi/*
+	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) $(EXPANDED_ICON_FILES) \
+	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_PO_FILES) po/shotwell.pot windows/install-deps \
+	windows/shotwell.rc windows/winstall.iss src/windows.c src/GConf.vala libraw-config
 
 DIST_TAR = $(PROGRAM)-$(VERSION).tar
 DIST_TAR_BZ2 = $(DIST_TAR).bz2
@@ -246,22 +304,29 @@
 
 endif
 
-ifdef MAC
-  VALA_DEFINES = -D MAC -D NO_CAMERA -D NO_PRINTING -D NO_PUBLISHING -D NO_LIBUNIQUE -D NO_SVG
-  EXPANDED_OBJ_FILES += src/mac.o
-endif
-
 # setting CFLAGS in configure.mk overrides build type
 ifndef CFLAGS
 ifdef BUILD_DEBUG
-CFLAGS = -O0 -g -pipe
+CFLAGS = -O0 -g -pipe -fPIC
 else
-CFLAGS = -O2 -g -pipe
-endif
-endif
-
+CFLAGS = -O2 -g -pipe -fPIC
+endif
+endif
+
+ifdef LINUX
 # Required for gudev-1.0
 CFLAGS += -DG_UDEV_API_IS_SUBJECT_TO_CHANGE
+endif
+
+# Packaged libraw is not widely available, so we must fake what would be in its .pc file
+# if not available.
+ifdef LINUX
+LIBRAW_CONFIG=./libraw-config
+endif
+
+ifdef WINDOWS
+LIBRAW_CONFIG=./libraw-config --windows
+endif
 
 $(LANG_STAMP): $(EXPANDED_PO_FILES)
 	$(foreach po,$(SUPPORTED_LANGUAGES),`mkdir -p $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES ; \
@@ -278,6 +343,7 @@
 	rm -rf $(LOCAL_LANG_DIR)
 	rm -f $(LANG_STAMP)
 	rm -f $(TEMPORARY_DESKTOP_FILES)
+	rm -f lib$(PROGRAM).so
 
 cleantemps:
 	rm -f $(EXPANDED_C_FILES)
@@ -302,6 +368,7 @@
 distclean: clean
 	rm -f configure.mk
 
+.PHONY: install
 install:
 	cp misc/shotwell.desktop.head misc/shotwell.desktop
 	cp misc/shotwell-viewer.desktop.head misc/shotwell-viewer.desktop
@@ -341,6 +408,10 @@
 	mkdir -p $(DESTDIR)$(SCHEMA_FILE_DIR)
 	$(INSTALL_DATA) misc/shotwell.schemas $(DESTDIR)$(SCHEMA_FILE_DIR)
 endif
+ifdef ENABLE_APPORT_HOOK_INSTALL
+	mkdir -p $(DESTDIR)$(PREFIX)/share/apport/package-hooks
+	$(INSTALL_DATA) apport/shotwell.py $(DESTDIR)$(PREFIX)/share/apport/package-hooks
+endif
 endif
 	-$(foreach lang,$(SUPPORTED_LANGUAGES),`mkdir -p $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES ; \
         $(INSTALL_DATA) $(LOCAL_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo \
@@ -361,43 +432,11 @@
 else
 	rm -f $(DESTDIR)$(SCHEMA_FILE_DIR)/shotwell.schemas
 endif
+ifdef ENABLE_APPORT_HOOK_INSTALL
+	rm -f $(DESTDIR)$(PREFIX)/share/apport/package-hooks/shotwell.py
+endif
 endif
 	$(foreach lang,$(SUPPORTED_LANGUAGES),`rm -f $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo`)
 
 $(VALA_STAMP): $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) $(EXPANDED_SRC_HEADER_FILES) Makefile \
 	$(CONFIG_IN)
-	@ ./minver `valac --version | awk '{print $$2}'` $(MIN_VALAC_VERSION) || ( echo 'Shotwell requires Vala compiler $(MIN_VALAC_VERSION) or greater.  You are running' `valac --version` '\b.'; exit 1 )
-ifndef ASSUME_PKGS
-ifdef EXT_PKG_VERSIONS
-	pkg-config --print-errors --exists '$(EXT_PKG_VERSIONS)'
-else ifdef EXT_PKGS
-	pkg-config --print-errors --exists $(EXT_PKGS)
-endif
-endif
-	@ type msgfmt > /dev/null || ( echo 'msgfmt (usually found in the gettext package) is missing and is required to build Shotwell. ' ; exit 1 )
-	mkdir -p $(BUILD_DIR)
-	$(VALAC) --ccode --directory=$(BUILD_DIR) --basedir=src $(VALAFLAGS) \
-	$(foreach pkg,$(PKGS),--pkg=$(pkg)) \
-	$(foreach vapidir,$(VAPI_DIRS),--vapidir=$(vapidir)) \
-	$(foreach def,$(DEFINES),-X -D$(def)) \
-	$(foreach hdir,$(HEADER_DIRS),-X -I$(hdir)) \
-	$(VALA_DEFINES) \
-	$(EXPANDED_SRC_FILES)
-	touch $@
-
-# Do not remove hard tab or at symbol; necessary for dependencies to complete.
-$(EXPANDED_C_FILES): $(VALA_STAMP)
-	@
-
-$(EXPANDED_OBJ_FILES): %.o: %.c $(CONFIG_IN) Makefile
-	$(CC) -c $(VALA_CFLAGS) $(CFLAGS) -o $@ $<
-
-$(PROGRAM): $(EXPANDED_OBJ_FILES) $(RESOURCES) $(LANG_STAMP)
-	$(CC) $(EXPANDED_OBJ_FILES) $(CFLAGS) $(RESOURCES) $(VALA_LDFLAGS) -o $@
-
-shotwell-setup-$(VERSION).exe: $(PROGRAM) windows/winstall.iss
-	iscc windows\winstall.iss
-	mv setup.exe shotwell-setup-$(VERSION).exe
-
-winstaller: shotwell-setup-$(VERSION).exe
-

=== debian/changelog ===
shotwell (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Build-depend on libusb-dev.
    - Bump libgexiv2-dev version to be at least 0.1.0.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 05 Jul 2010 20:05:18 +0200

shotwell (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/non-linux-fixes.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.0, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 30 Jun 2010 20:48:44 +0200

shotwell (0.5.91-2) experimental; urgency=low

  * debian/patches/non-linux-fixes.patch:
    - Let libraw to be available under non-Linux architectures, fix FTBFS
      on kFreeBSD (Closes: #586634).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 21 Jun 2010 23:24:16 +0200

shotwell (0.5.91-1) experimental; urgency=low

  * New upstream development release.
  * debian/patches/non-linux-fixes.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Build-depend on libgexiv2-dev and libraw-dev.
    - No longer build-depend on libhal-dev.
    - Adjust build-dependencies versioning.
  * debian/README.source:
    - Upstream clarified licensing of some icons with their authors, now
      they are released under CC-BY-SA-3.0, so there is no need to repack
      upstream tarball anymore, thus removing this file.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 20 Jun 2010 16:09:43 +0200

shotwell (0.5.2+dfsg-2) unstable; urgency=low

  * debian/patches/non-linux-fixes.patch:
    - Add Hurd bits to allow build on that architecture.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 07 Jun 2010 23:41:52 +0200

shotwell (0.5.2+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #578903).
  * Drop vala_0.8.0.patch patch, already applied by upstream.
  * debian/control: add Luca Falavigna to Uploaders field.
  * Add debian/patches/non-linux-fixes.patch patch from Peter Green to add
    support for kfreebsd and hurd (Closes: #581662).
  * debian/control: replace "libgudev-1.0-dev (>= 145)" with "libgudev-1.0-dev
    (>= 145) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]" as suggested by
    Peter Green.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 23 May 2010 18:40:49 +0200

=== debian/control ===
Source: shotwell
Section: gnome
Priority: extra
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Uploaders: Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               valac (>= 0.8.0),
               libgee-dev (>= 0.5.0),
               libgtk2.0-dev (>= 2.18.0),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.1.0),
               libgconf2-dev (>= 2.22.0),
               libgphoto2-2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libunique-dev (>= 1.0.0),
               libwebkit-dev (>= 1.1.5),
               libgudev-1.0-dev (>= 145) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libdbus-glib-1-dev (>= 0.80),
               libraw-dev,
               libusb-dev
Standards-Version: 3.9.0
Homepage: http://yorba.org/shotwell/

Package: shotwell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common, dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
  http://yorba.org/download/shotwell/([\d\.]+)/shotwell-(.*)\.tar\.gz

## shotwell 0.7.2

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 PROGRAM = shotwell
 
-VERSION = 0.6.1
+VERSION = 0.7.2
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
 
 VALAC = valac
-MIN_VALAC_VERSION = 0.8.0
+MIN_VALAC_VERSION = 0.9.5
 INSTALL_PROGRAM = install
 INSTALL_DATA = install -m 644
 
@@ -18,11 +18,11 @@
 SYSTEM := $(UNAME:MINGW32_%=MinGW)
 
 ifeq "$(SYSTEM)" "Linux"
-  LINUX = 1
+	LINUX = 1
 endif
 
 ifeq "$(SYSTEM)" "MinGW"
-  WINDOWS = 1
+	WINDOWS = 1
 endif
 
 -include configure.mk
@@ -38,14 +38,14 @@
      _LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"'
 
 ifdef LINUX
-    EXPORT_FLAGS = -export-dynamic
+	EXPORT_FLAGS = -export-dynamic
 endif
 
 ifdef WINDOWS
-    EXPORT_FLAGS = -export-all-symbols
-endif
-
-SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt
+	EXPORT_FLAGS = -export-all-symbols
+endif
+
+SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk
 LOCAL_LANG_DIR=locale-langpack
 SYSTEM_LANG_DIR=$(DESTDIR)$(PREFIX)/share/locale
 
@@ -113,7 +113,16 @@
 	MimicManager.vala \
 	TrashPage.vala \
 	PngSupport.vala \
-	PhotoExporter.vala
+	PhotoExporter.vala \
+	DirectoryMonitor.vala \
+	LibraryMonitor.vala \
+	OfflinePage.vala \
+	LastImportPage.vala \
+	AlienDatabase.vala \
+	AlienDatabaseImportJob.vala \
+	AlienDatabaseImportDialog.vala \
+	FSpotDatabaseDriver.vala \
+	FSpotDatabaseTables.vala
 
 ifndef LINUX
 SRC_FILES += \
@@ -140,6 +149,7 @@
 	direct.ui \
 	tags.ui \
 	trash.ui \
+	offline.ui \
 	shotwell.glade
 
 SYS_INTEGRATION_FILES = \
@@ -160,28 +170,82 @@
 	THANKS
 
 ICON_FILES = \
+	all-rejected.png \
+	crop-pivot-reticle.png \
+	crop.svg \
+	drag_nub.png \
+	enhance.png \
+	five-star-filter.svg \
+	five-stars.svg \
+	four-star-filter-plus.svg \
+	four-stars.svg \
+	image-adjust.svg \
+	import-all.png \
+	import.svg \
+	last-import-roll.png \
+	make-primary.svg \
+	merge.svg \
+	multiple-events.png \
+	multiple-tags.png \
+	one-event.png \
+	one-star-filter-plus.svg \
+	one-star.svg \
+	one-tag.png \
+	pin-toolbar.svg \
+	publish.png \
+	redeye.png \
+	rejected.svg \
+	shotwell.ico \
 	shotwell-street.jpg \
 	shotwell.svg \
-	shotwell.ico \
-	return-to-page.svg \
-	redeye.png \
-	publish.png \
-	pin-toolbar.svg \
-	object-rotate-right.svg \
-	object-rotate-left.svg \
-	object-flip-vertical.svg \
-	object-flip-horizontal.svg \
-	merge.svg \
-	make-primary.svg \
-	import-all.png \
-	import.svg \
-	hidden.svg \
-	favorite.svg \
-	enhance.png \
-	drag_nub.png \
-	crop-pivot-reticle.png \
-	crop.svg \
-	adjust.png \
+	three-star-filter-plus.svg \
+	three-stars.svg \
+	two-star-filter-plus.svg \
+	two-stars.svg \
+	zoom-in.png \
+	zoom-out.png \
+	shotwell-16.svg \
+	shotwell-24.svg
+
+HELP_FILES = \
+    edit-adjustments.page \
+	edit-crop.page \
+	edit-enhance.page \
+	edit-external.page \
+	edit-nondestructive.page \
+	edit-redeye.page \
+	edit-rotate.page \
+	edit-time-date.page \
+	edit-undo.page \
+	formats.page \
+	import-camera.page \
+	import-file.page \
+	import-f-spot.page \
+	import-memorycard.page \
+	index.page \
+	organize-event.page \
+	organize-rating.page \
+	organize-remove.page \
+	organize-tag.page \
+	organize-title.page \
+	other-missing.page \
+	other-multiple.page \
+	running.page \
+	share-background.page \
+	share-export.page \
+	share-print.page \
+	share-slideshow.page \
+	share-upload.page \
+	view-displaying.page \
+	view-information.page \
+	view-sidebar.page
+
+HELP_IMAGES = \
+	crop_thirds.jpg \
+	editing_overview.png \
+	edit_toolbar.png \
+	shotwell_logo.png \
+	trash_process.png
 
 VAPI_DIRS = \
 	./vapi
@@ -203,6 +267,7 @@
 	gdk-2.0 \
 	gee-1.0 \
 	gtk+-2.0 \
+	glib-2.0 \
 	libexif \
 	sqlite3 \
 	gexiv2
@@ -228,9 +293,10 @@
 EXT_PKG_VERSIONS = \
 	gee-1.0 >= 0.5.0 \
 	gtk+-2.0 >= 2.18.0 \
+	glib-2.0 >= 2.24.0 \
 	libexif >= 0.6.16 \
 	sqlite3 >= 3.5.9 \
-	gexiv2 >= 0.1.0
+	gexiv2 >= 0.2.0
 
 LIBRAW_VERSION = \
 	0.9.0
@@ -270,13 +336,16 @@
 EXPANDED_VAPI_FILES = $(foreach vapi,$(VAPI_FILES),vapi/$(vapi))
 EXPANDED_SRC_HEADER_FILES = $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
 EXPANDED_RESOURCE_FILES = $(foreach res,$(RESOURCE_FILES),ui/$(res))
+EXPANDED_HELP_FILES = $(foreach file,$(HELP_FILES),help/C/$(file))
+EXPANDED_HELP_IMAGES = $(foreach file,$(HELP_IMAGES),help/C/figures/$(file))
 VALA_STAMP = $(BUILD_DIR)/.stamp
 LANG_STAMP = $(LOCAL_LANG_DIR)/.langstamp
 
 DIST_FILES = Makefile configure minver $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) \
 	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) $(EXPANDED_ICON_FILES) \
 	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_PO_FILES) po/shotwell.pot windows/install-deps \
-	windows/shotwell.rc windows/winstall.iss src/windows.c src/GConf.vala libraw-config
+	windows/shotwell.rc windows/winstall.iss src/windows.c src/GConf.vala libraw-config \
+	$(EXPANDED_HELP_FILES) $(EXPANDED_HELP_IMAGES) apport/shotwell.py
 
 DIST_TAR = $(PROGRAM)-$(VERSION).tar
 DIST_TAR_BZ2 = $(DIST_TAR).bz2
@@ -403,40 +472,3 @@
 endif
 ifdef LINUX
 ifndef DISABLE_SCHEMAS_INSTALL
-	GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule misc/shotwell.schemas
-else
-	mkdir -p $(DESTDIR)$(SCHEMA_FILE_DIR)
-	$(INSTALL_DATA) misc/shotwell.schemas $(DESTDIR)$(SCHEMA_FILE_DIR)
-endif
-ifdef ENABLE_APPORT_HOOK_INSTALL
-	mkdir -p $(DESTDIR)$(PREFIX)/share/apport/package-hooks
-	$(INSTALL_DATA) apport/shotwell.py $(DESTDIR)$(PREFIX)/share/apport/package-hooks
-endif
-endif
-	-$(foreach lang,$(SUPPORTED_LANGUAGES),`mkdir -p $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES ; \
-        $(INSTALL_DATA) $(LOCAL_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo \
-            $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo`)
-
-uninstall:
-	rm -f $(DESTDIR)$(PREFIX)/bin/$(PROGRAM)
-	rm -fr $(DESTDIR)$(PREFIX)/share/shotwell
-	rm -fr $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/shotwell.svg
-	rm -f $(DESTDIR)$(PREFIX)/share/applications/shotwell.desktop
-	rm -f $(DESTDIR)$(PREFIX)/share/applications/shotwell-viewer.desktop
-ifndef DISABLE_DESKTOP_UPDATE
-	-update-desktop-database || :
-endif
-ifdef LINUX
-ifndef DISABLE_SCHEMAS_INSTALL
-	GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule misc/shotwell.schemas
-else
-	rm -f $(DESTDIR)$(SCHEMA_FILE_DIR)/shotwell.schemas
-endif
-ifdef ENABLE_APPORT_HOOK_INSTALL
-	rm -f $(DESTDIR)$(PREFIX)/share/apport/package-hooks/shotwell.py
-endif
-endif
-	$(foreach lang,$(SUPPORTED_LANGUAGES),`rm -f $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo`)
-
-$(VALA_STAMP): $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) $(EXPANDED_SRC_HEADER_FILES) Makefile \
-	$(CONFIG_IN)

=== debian/changelog ===
shotwell (0.7.2-0ubuntu2) maverick; urgency=low

  * debian/patches/03_appmenu_no_stubs.patch:
    Adds the X-Ayatana-Appmenu-Show-Stubs field and sets it to false
    so Shotwell will not show menu stubs in the appmenu (LP: #651307)

 -- Ted Gould <ted@ubuntu.com>  Wed, 29 Sep 2010 11:53:56 -0500

shotwell (0.7.2-0ubuntu1) maverick; urgency=low

  * New upstream release:
   - Fixed major startup problem when the user's Pictures directory is actually
     a symbolic link.
   - Fixed potential crasher when the user's Pictures directory contains a
     large number of subdirectories.
   - No longer asking if copying or linking if importing from Pictures directory
     (which will always be linked).
   - Fixed issue when logging in to PicasaWeb with a password with a '+'
     character.
   - Fixed update problem when using an external editor on a photo that was
     edited externally in an earlier session.
   - Various bug fixes.
   - Numerous translation updates.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Sep 2010 23:24:06 +0200

shotwell (0.7.1-0ubuntu2) maverick; urgency=low

  * debian/patches/02_desktop_gettext.patch:
    - Use gettext in .desktop files (LP: #616856)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 27 Aug 2010 09:25:47 +1000

shotwell (0.7.1-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 27 Aug 2010 09:13:59 +1000

shotwell (0.7.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depend on libgexiv2-dev
  * debian/watch:
    - Update download location

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 23 Aug 2010 10:02:08 +1000

shotwell (0.6.91-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Build-depend on valac >= 0.9.5
    - Build-depend on libgexiv2-dev >= 0.1.91

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 16 Aug 2010 16:58:02 +1000

shotwell (0.6.90-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Aug 2010 09:10:03 +1000

shotwell (0.6.1-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
  * debian/control:
    - Build-depend on liblaunchpad-integration-dev
    - Add Vcs-Bzr link
  * debian/patches/01_lpi.patch:
    - Add Launchpad integration

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 06 Jul 2010 15:36:45 +1000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: shotwell
 Section: gnome
 Priority: extra
-Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
+XSBC-Original-Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 Uploaders: Luca Falavigna <dktrkranz@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               valac (>= 0.8.0),
+               valac (>= 0.9.5),
                libgee-dev (>= 0.5.0),
                libgtk2.0-dev (>= 2.18.0),
                libexif-dev (>= 0.6.16),
                libsqlite3-dev (>= 3.5.9),
-               libgexiv2-dev (>= 0.1.0),
+               libgexiv2-dev (>= 0.2.0),
                libgconf2-dev (>= 2.22.0),
                libgphoto2-2-dev (>= 2.4.2),
                libsoup2.4-dev (>= 2.26.0),
@@ -19,9 +20,11 @@
                libgudev-1.0-dev (>= 145) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libdbus-glib-1-dev (>= 0.80),
                libraw-dev,
-               libusb-dev
+               libusb-dev,
+               liblaunchpad-integration-dev (>= 0.1.36)
 Standards-Version: 3.9.0
 Homepage: http://yorba.org/shotwell/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
 
 Package: shotwell
 Architecture: any
